Get

[POST] .../v1/retailpaymentreport/get

Returns retail revenue grouped by the requested reporting interval. Use this method to retrieve retail payment revenue grouped by payment method and by the requested report interval. The request requires start_date and end_date as parseable date strings, requires period_interval, supports filters by operating_cash_ids and returns result with report data for each payment method. The method reads report data only and does not change documents; it requires the current request user to have retail payment report access, validates that start_date is before end_date and that the period is not longer than one month and returns validation, permission and storage failures as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
date string
end_date string End date.
operating_cash_id int Operating cash IDs used to select data.
period_interval int Period type.
start_date string Start date.

Request Example

{
  "filters": [
    {
      "Field": "date",
      "Operator": "Equal",
      "Value": "string"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of RetailPaymentReport Result array.

Response Example

{
  "ok": true,
  "result": [
    {
      "data": [
        {
          "date": "string",
          "value": 1.0
        }
      ],
      "payment_amount": 1.0,
      "payment_type": {
        "account": {
          "code": "string",
          "currency": {
            "code_chr": "string",
            "code_num": 1,
            "deleted": true,
            "exchange_rate": 1.0,
            "id": 1,
            "is_base": true,
            "last_update": 1,
            "name": "string"
          },
          "id": 1,
          "last_update": 1,
          "name": "string"
        },
        "enabled": "True",
        "id": 1,
        "image_url": "string",
        "is_cash": true,
        "kkm_code": 1,
        "last_update": 1,
        "name": "string",
        "shortkey": 1
      }
    }
  ]
}